Enterprise
Get pipeline health metrics for all child organizations of an enterprise
Get pipeline health metrics for all child organizations of an enterprise
GET
/
v3
/
enterprise
/
pipeline
/
metric
/
health
Get pipeline health metrics for all child organizations of an enterprise
curl --request GET \
--url https://api.mezmo.com/v3/enterprise/pipeline/metric/health \
--header 'Authorization: <api-key>'import requests
url = "https://api.mezmo.com/v3/enterprise/pipeline/metric/health"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.mezmo.com/v3/enterprise/pipeline/metric/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"type": "<string>",
"page": {
"next": "<string>",
"previous": "<string>"
},
"pk": "<string>",
"links": {
"self": {
"list": {
"method": "get",
"uri": "https://api.mezmo.com/v3/enterprise/resource"
},
"detail": {
"method": "get",
"uri": "https://api.mezmo.com/v3/enterprise/resource/{resource_id}"
},
"update": {
"method": "patch",
"uri": "https://api.mezmo.com/v3/enterprise/resource/{resource_id}"
},
"replace": {
"method": "put",
"uri": "https://api.mezmo.com/v3/enterprise/resource/{resource_id}"
},
"create": {
"method": "post",
"uri": "https://api.mezmo.com/v3/enterprise/resource"
}
},
"related": {}
}
},
"data": [
{
"pipeline_id": "53b12f99-1b0c-474c-a79b-4ad8fc2db362",
"pipeline_title": "<string>",
"account_id": "bbcccdcf15",
"sources": [
{
"node_id": "5e260cfa-d2ca-413a-93b0-f79c83509c5f",
"node_title": "<string>",
"node_kind": "<string>",
"node_type": "<string>",
"traffic": "<string>",
"logs": [
{
"level": "<string>",
"edge_id": "47fd24e6-9108-4eeb-a358-9e46ffd481d2",
"message": "<string>",
"is_stale": true,
"last_seen_at": "2023-11-07T05:31:56Z",
"captured_data": {}
}
]
}
],
"transforms": [
{
"node_id": "5e260cfa-d2ca-413a-93b0-f79c83509c5f",
"node_title": "<string>",
"node_kind": "<string>",
"node_type": "<string>",
"traffic": "<string>",
"logs": [
{
"level": "<string>",
"edge_id": "47fd24e6-9108-4eeb-a358-9e46ffd481d2",
"message": "<string>",
"is_stale": true,
"last_seen_at": "2023-11-07T05:31:56Z",
"captured_data": {}
}
]
}
],
"transform_groups": "<array>",
"sinks": [
{
"node_id": "5e260cfa-d2ca-413a-93b0-f79c83509c5f",
"node_title": "<string>",
"node_kind": "<string>",
"node_type": "<string>",
"traffic": "<string>",
"logs": [
{
"level": "<string>",
"edge_id": "47fd24e6-9108-4eeb-a358-9e46ffd481d2",
"message": "<string>",
"is_stale": true,
"last_seen_at": "2023-11-07T05:31:56Z",
"captured_data": {}
}
]
}
]
}
]
}{
"status": 449,
"code": "<string>",
"message": "<string>",
"context": "body",
"errors": [
{
"keyword": "<string>",
"params": {},
"message": "<string>",
"instance_path": null,
"schema_path": null,
"property_name": null
}
]
}{
"status": 449,
"code": "<string>",
"message": "<string>",
"context": "body",
"errors": [
{
"keyword": "<string>",
"params": {},
"message": "<string>",
"instance_path": null,
"schema_path": null,
"property_name": null
}
]
}{
"status": 449,
"code": "<string>",
"message": "<string>",
"context": "body",
"errors": [
{
"keyword": "<string>",
"params": {},
"message": "<string>",
"instance_path": null,
"schema_path": null,
"property_name": null
}
]
}{
"status": 449,
"code": "<string>",
"message": "<string>",
"context": "body",
"errors": [
{
"keyword": "<string>",
"params": {},
"message": "<string>",
"instance_path": null,
"schema_path": null,
"property_name": null
}
]
}{
"status": 449,
"code": "<string>",
"message": "<string>",
"context": "body",
"errors": [
{
"keyword": "<string>",
"params": {},
"message": "<string>",
"instance_path": null,
"schema_path": null,
"property_name": null
}
]
}{
"status": 449,
"code": "<string>",
"message": "<string>",
"context": "body",
"errors": [
{
"keyword": "<string>",
"params": {},
"message": "<string>",
"instance_path": null,
"schema_path": null,
"property_name": null
}
]
}Authorizations
The primary authentication method for the Mezmo API.
Pass the key in the Authorization header in the format Token <ACCESS TOKEN>.
For example:
curl -H 'Authorization: Token <ACCESS TOKEN>'
This key is used for all APIs with the exception of ingest.
Query Parameters
Fetch previous log messages for transforms.
Response
Response containing pipeline health metrics for all child orgs of the enterprise
Was this page helpful?
⌘I
Get pipeline health metrics for all child organizations of an enterprise

